## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.10

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# XercesToXalanNodeMap Class Reference

This class is deprecated. More...

`#include <XercesToXalanNodeMap.hpp>`

Collaboration diagram for XercesToXalanNodeMap:

[legend]
List of all members.

## Public Types

- typedef XERCES_CPP_NAMESPACE_QUALIFIER
  DOM_Node DOM_NodeType
- typedef XERCES_CPP_NAMESPACE_QUALIFIER
  NodeImpl NodeImplType
- typedef std::map<XalanNode*,
  NodeImplType*> XalanNodeMapType
- typedef std::map<NodeImplType*,
  XalanNode*> XercesNodeMapType

## Public Methods

- XercesToXalanNodeMap ()
- ~XercesToXalanNodeMap ()
- void addAssociation (const DOM_NodeType &theXercesNode, XalanNode *theXalanNode)
- void clear ()
- XalanNode* getNode (const DOM_NodeType &theXercesNode) const
- XalanNode* getNode (NodeImplType *theXercesNodeImpl) const
- DOM_NodeType getNode (const XalanNode *theXalanNode) const
- NodeImplType* getNodeImpl (const XalanNode *theXalanNode) const
- NodeImplType* getNodeImpl (const DOM_NodeType &theXercesNode) const

## Detailed Description

This class is deprecated.

Deprecated:
  This class works with the deprecated Xerces DOM bridge.

## Member Typedef Documentation

typedef XERCES_CPP_NAMESPACE_QUALIFIER DOM_Node XercesToXalanNodeMap::DOM_NodeType

typedef XERCES_CPP_NAMESPACE_QUALIFIER NodeImpl XercesToXalanNodeMap::NodeImplType

typedef std::map< XalanNode *, NodeImplType *> XercesToXalanNodeMap::XalanNodeMapType<XalanNode*, NodeImplType*>

typedef std::map< NodeImplType *, XalanNode *> XercesToXalanNodeMap::XercesNodeMapType<NodeImplType*, XalanNode*>

## Constructor & Destructor Documentation

XercesToXalanNodeMap::XercesToXalanNodeMap ( | )

XercesToXalanNodeMap::~XercesToXalanNodeMap ( | )

## Member Function Documentation

void XercesToXalanNodeMap::addAssociation ( | const DOM_NodeType & theXercesNode,
| XalanNode * theXalanNode )

void XercesToXalanNodeMap::clear ( | )

DOM_NodeType XercesToXalanNodeMap::getNode ( | const XalanNode * theXalanNode ) const

XalanNode * XercesToXalanNodeMap::getNode ( | NodeImplType * theXercesNodeImpl ) const

XalanNode * XercesToXalanNodeMap::getNode ( | const DOM_NodeType & theXercesNode ) const

NodeImplType * XercesToXalanNodeMap::getNodeImpl ( | const DOM_NodeType & theXercesNode ) const

NodeImplType * XercesToXalanNodeMap::getNodeImpl ( | const XalanNode * theXalanNode ) const

The documentation for this class was generated from the following file:

- XercesToXalanNodeMap.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.10 Copyright © 1999-2004 The Apache Software Foundation. All Rights Reserved.